import java.applet.Applet;
import java.net.*;
import java.io.*;
import java.awt.*;

//use this to read, write to a remote file
public class remoteStream
{
        String domainName; // = "www.t3-i.com";
        String writeProgram; // = "/cgi/fwrite.pl";

        //constructors
        public remoteStream() {}
        public remoteStream(String domStr, String wpStr)
        {
                domainName = domStr;
                writeProgram = wpStr;
        }

        //write this string to the remote outfile
        public void sendData(String data) throws Exception
        {
                URL url = new URL("http", domainName, writeProgram); //domainName, writeProgram);

                System.out.println("opened url.. " + url.toString());
                URLConnection con = url.openConnection();

                System.out.println("url connection to: " + con.toString());

                con.setDoOutput(true);
                con.setDoInput(true);
                con.setUseCaches(false);
                con.setRequestProperty("Content-type", "text/plain");
                con.setRequestProperty("Content-length", data.length()+"");

                PrintStream out = new PrintStream(con.getOutputStream());
                if(out == null) System.out.println("printstream unsuccessful..");
                else System.out.println("printstream successful.. printing \'" + data + "\'");

                out.print(data);
                out.flush();
                out.close();

                DataInputStream in = new DataInputStream(con.getInputStream());
                String s;
                System.out.println("Printing input:");
                while((s = in.readLine()) != null){
                        }
                in.close();
        }

        //load a remote file to a string array
        public String[] loadData(String filename, int numStrings)
        {
                URL url;
                try{
                        url = new URL("http", domainName, filename);
                        }catch(MalformedURLException e){ System.out.println("malformed URL.."); return null; }
                URLConnection conn = null;
                DataInputStream data = null;
                String[] line = new String[numStrings+1];
                StringBuffer buf = new StringBuffer();

                try{
                        conn = url.openConnection();
                        conn.connect();

                        System.out.println("Connection opened...");

                        data = new DataInputStream(new BufferedInputStream(conn.getInputStream()));
                        System.out.println("Reading data...");
                        int count = 0;
                        while (count < numStrings && (line[count] = data.readLine()) != null) {
                                count++;
                                }

                        System.out.println(buf.toString());
                        data.close();
                        }catch(IOException e){ System.out.println("IO Error:" + e.getMessage()); }
                return line;
        }


}
